repose(1)

NAME
repose - an Archlinux repository compiler

SYNOPSIS
repose [options] <database> [pkgs|deltas ...]

DESCRIPTION
repose create and manipulates Archlinux repositories, automating their generation from a directory of packages. It scans the filesystem packages and for changes in those packages and compiles them into databases pacman understands.

OPTIONS

-h, --help
    Display help message.

-V, --version
    Display version information.

-v, --verbose
    Produce verbose output. When scanning for changes, repose will list every package that'll be added, dropped, or updated and will also list each database that's serialized to disk.

-f, --files
    In addition to building the repository database, build a files database usable by pkgfile and keep it in sync with the main database. If this flag is not provided by a files database is found, this flag is implied.

-l, --list
    List all packages and their current versions.

-d, --drop
    Instead of adding the specified set of packages, instead drop them from the database.

-s, --sign
    Create a detached PGP signature for the database.

-r PATH, --root=PATH
    Set the root of the repository where the database files will live. If the pool directory different from the root directory, maintain symlinks between the two so that the root directory also contains a link to all packages referenced by the repository. The default value if it isn't overridden is the current working directory.

-p PATH, --pool=PATH
    Set the pool for the repository. The pool is where repose will scan for new, changed, or missing packages to update the repository database. The default value if it isn't overridden is the current working directory.

-m ARCH, --arch=ARCH
    Set the primary architecture of the database. The database will only contain packages found for the architecture set in ARCH or marked as 'any'. If this argument is not provided, the machines architecture is assumed.

-j, --bzip2
    Compress the resulting database with bzip2(1).

-J, --xz
    Compress the resulting database with xz(1).

-z, --gzip
    Compress the resulting database with gzip(1).

-Z, --compress
    Compress the resulting database with compress(1).

--reflink
    Make repose create reflinks instead of symlinks when compiling a repository.

--rebuild
    Rather than attempting to update the existing database, rebuild it.

AUTHORS
Simon Gomizelj <simongmzlj@gmail.com>